Subject: Re: [PATCH v1 1/1] kernel.h: Split out panic and oops helpers

From: Kees Cook <[email-masked]>
Date: Tue, 6 Apr 2021 11:44:00 -0700

On Tue, Apr 06, 2021 at 04:31:58PM +0300, Andy Shevchenko wrote:
> kernel.h is being used as a dump for all kinds of stuff for a long time.
> Here is the attempt to start cleaning it up by splitting out panic and
> oops helpers.
> 
> At the same time convert users in header and lib folder to use new header.
> Though for time being include new header back to kernel.h to avoid twisted
> indirected includes for existing users.
> 
> Signed-off-by: Andy Shevchenko <[email-masked]>

I like it! Do you have a multi-arch CI to do allmodconfig builds to
double-check this?

Acked-by: Kees Cook <[email-masked]>

-Kees

-- 
Kees Cook